<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:42:22 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
DefaultHttpServerConnection (HttpComponents Core 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DefaultHttpServerConnection (HttpComponents Core 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultHttpServerConnection.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/impl/DefaultHttpResponseFactory.html" title="class in org.apache.http.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/impl/EnglishReasonPhraseCatalog.html" title="class in org.apache.http.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/impl/DefaultHttpServerConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultHttpServerConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl</FONT>
<BR>
Class DefaultHttpServerConnection</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html" title="class in org.apache.http.impl">org.apache.http.impl.AbstractHttpServerConnection</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html" title="class in org.apache.http.impl">org.apache.http.impl.SocketHttpServerConnection</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.DefaultHttpServerConnection</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A>, <A HREF="../../../../org/apache/http/HttpConnection.html" title="interface in org.apache.http">HttpConnection</A>, <A HREF="../../../../org/apache/http/HttpInetConnection.html" title="interface in org.apache.http">HttpInetConnection</A>, <A HREF="../../../../org/apache/http/HttpServerConnection.html" title="interface in org.apache.http">HttpServerConnection</A></DD>
</DL>
<HR>
<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../org/apache/http/impl/DefaultBHttpServerConnection.html" title="class in org.apache.http.impl"><CODE>DefaultBHttpServerConnection</CODE></A></I>
<P>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="../../../../org/apache/http/annotation/NotThreadSafe.html" title="annotation in org.apache.http.annotation">@NotThreadSafe</A>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public class <B>DefaultHttpServerConnection</B><DT>extends <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html" title="class in org.apache.http.impl">SocketHttpServerConnection</A></DL>
</PRE>

<P>
Default implementation of a server-side HTTP connection.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/impl/DefaultHttpServerConnection.html#DefaultHttpServerConnection()">DefaultHttpServerConnection</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/impl/DefaultHttpServerConnection.html#bind(java.net.Socket, org.apache.http.params.HttpParams)">bind</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/Socket.html?is-external=true" title="class or interface in java.net">Socket</A>&nbsp;socket,
     <A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Binds this connection to the given <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/Socket.html?is-external=true" title="class or interface in java.net"><CODE>Socket</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.SocketHttpServerConnection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html" title="class in org.apache.http.impl">SocketHttpServerConnection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#assertNotOpen()">assertNotOpen</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#assertOpen()">assertOpen</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#close()">close</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#createSessionInputBuffer(java.net.Socket, int, org.apache.http.params.HttpParams)">createSessionInputBuffer</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#createSessionOutputBuffer(java.net.Socket, int, org.apache.http.params.HttpParams)">createSessionOutputBuffer</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#getLocalAddress()">getLocalAddress</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#getLocalPort()">getLocalPort</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#getRemoteAddress()">getRemoteAddress</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#getRemotePort()">getRemotePort</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#getSocket()">getSocket</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#getSocketTimeout()">getSocketTimeout</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#isOpen()">isOpen</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#setSocketTimeout(int)">setSocketTimeout</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#shutdown()">shutdown</A>, <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#toString()">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.AbstractHttpServerConnection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html" title="class in org.apache.http.impl">AbstractHttpServerConnection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#createConnectionMetrics(org.apache.http.io.HttpTransportMetrics, org.apache.http.io.HttpTransportMetrics)">createConnectionMetrics</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#createEntityDeserializer()">createEntityDeserializer</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#createEntitySerializer()">createEntitySerializer</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#createHttpRequestFactory()">createHttpRequestFactory</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#createRequestParser(org.apache.http.io.SessionInputBuffer, org.apache.http.HttpRequestFactory, org.apache.http.params.HttpParams)">createRequestParser</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#createResponseWriter(org.apache.http.io.SessionOutputBuffer, org.apache.http.params.HttpParams)">createResponseWriter</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#doFlush()">doFlush</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#flush()">flush</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#getMetrics()">getMetrics</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#init(org.apache.http.io.SessionInputBuffer, org.apache.http.io.SessionOutputBuffer, org.apache.http.params.HttpParams)">init</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#isEof()">isEof</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#isStale()">isStale</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#receiveRequestEntity(org.apache.http.HttpEntityEnclosingRequest)">receiveRequestEntity</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#receiveRequestHeader()">receiveRequestHeader</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#sendResponseEntity(org.apache.http.HttpResponse)">sendResponseEntity</A>, <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#sendResponseHeader(org.apache.http.HttpResponse)">sendResponseHeader</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.HttpConnection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.<A HREF="../../../../org/apache/http/HttpConnection.html" title="interface in org.apache.http">HttpConnection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/HttpConnection.html#getMetrics()">getMetrics</A>, <A HREF="../../../../org/apache/http/HttpConnection.html#isStale()">isStale</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultHttpServerConnection()"><!-- --></A><H3>
DefaultHttpServerConnection</H3>
<PRE>
public <B>DefaultHttpServerConnection</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="bind(java.net.Socket, org.apache.http.params.HttpParams)"><!-- --></A><H3>
bind</H3>
<PRE>
public void <B>bind</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/Socket.html?is-external=true" title="class or interface in java.net">Socket</A>&nbsp;socket,
                 <A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)
          throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from class: <CODE><A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#bind(java.net.Socket, org.apache.http.params.HttpParams)">SocketHttpServerConnection</A></CODE></B></DD>
<DD>Binds this connection to the given <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/Socket.html?is-external=true" title="class or interface in java.net"><CODE>Socket</CODE></A>. This socket will be
 used by the connection to send and receive data.
 <p>
 This method will invoke <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#createSessionInputBuffer(java.net.Socket, int, org.apache.http.params.HttpParams)"><CODE>SocketHttpServerConnection.createSessionInputBuffer(Socket, int, HttpParams)</CODE></A>
 and <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#createSessionOutputBuffer(java.net.Socket, int, org.apache.http.params.HttpParams)"><CODE>SocketHttpServerConnection.createSessionOutputBuffer(Socket, int, HttpParams)</CODE></A> methods
 to create session input / output buffers bound to this socket and then
 will invoke <A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html#init(org.apache.http.io.SessionInputBuffer, org.apache.http.io.SessionOutputBuffer, org.apache.http.params.HttpParams)"><CODE>AbstractHttpServerConnection.init(SessionInputBuffer, SessionOutputBuffer, HttpParams)</CODE></A>
 method to pass references to those buffers to the underlying HTTP message
 parser and formatter.
 <p>
 After this method's execution the connection status will be reported
 as open and the <A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#isOpen()"><CODE>SocketHttpServerConnection.isOpen()</CODE></A> will return <code>true</code>.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html#bind(java.net.Socket, org.apache.http.params.HttpParams)">bind</A></CODE> in class <CODE><A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html" title="class in org.apache.http.impl">SocketHttpServerConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>socket</CODE> - the socket.<DD><CODE>params</CODE> - HTTP parameters.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an I/O error.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultHttpServerConnection.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/impl/DefaultHttpResponseFactory.html" title="class in org.apache.http.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/impl/EnglishReasonPhraseCatalog.html" title="class in org.apache.http.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/impl/DefaultHttpServerConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultHttpServerConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
